#!/bin/sh
#
# Basic resolve_deps() test
#
# Copyright (C) 2014  Patrick "P. J." McDermott
#
# This file is part of the ProteanOS Development Kit.
#
# The ProteanOS Development Kit is free software: you can redistribute
# it and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# The ProteanOS Development Kit is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with the ProteanOS Development Kit.  If not, see
# <http://www.gnu.org/licenses/>.

. "${srcdir}/tests/common.sh"

use pkg

pkgs='foo bar'
deps="\
foo: baz
bar: qux
baz: quux
"
results='foo bar baz qux quux'

test_results="$(resolve_deps "${pkgs}" "${deps}")"

test_diff "${results}" "${test_results}"

results="$(printf '%s\n' ${results} | sort)"
test_results="$(printf '%s\n' $(resolve_deps "${pkgs}" "${deps}") | sort)"

test_diff "${results}" "${test_results}"
